Bug 838775 - Review Request: ghc-css-text - CSS parser and renderer
Review Request: ghc-css-text - CSS parser and renderer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Haskell-pkg-reviews 759429
  Show dependency treegraph
 
Reported: 2012-07-10 01:11 EDT by Ben Boeckel
Modified: 2016-08-14 12:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-17 18:48:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-07-10 01:11:00 EDT
Spec URL: http://benboeckel.net/packaging/ghc-css-text/ghc-css-text.spec
SRPM URL: http://benboeckel.net/packaging/ghc-css-text/ghc-css-text-0.1.1-1.fc18.src.rpm
Description:
CSS parser and renderer

Fedora Account System Username: mathstuf

% lintmock fedora-rawhide-x86_64
ghc-css-text.src: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
ghc-css-text.src: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
ghc-css-text.src: W: strange-permission ghc-css-text.spec 0640L
ghc-css-text.src: W: strange-permission css-text-0.1.1.tar.gz 0640L
ghc-css-text.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
ghc-css-text.x86_64: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
ghc-css-text-devel.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
ghc-css-text-devel.x86_64: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 1 Narasimhan 2012-09-09 11:23:26 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-css-text-0.1.1-1.fc17.src.rpm ghc-css-text-devel-0.1.1-1.fc17.x86_64.rpm ghc-css-text-0.1.1-1.fc17.x86_64.rpm ../ghc-css-text.spec 
ghc-css-text.src: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

ghc-css-text.src: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

ghc-css-text.src: W: strange-permission css-text-0.1.1.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-css-text-devel.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

ghc-css-text-devel.x86_64: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

ghc-css-text.x86_64: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

ghc-css-text.x86_64: W: spelling-error %description -l en_US renderer -> tenderer, rendered, render er
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 7 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in -devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum css-text-0.1.1.tar.gz ghc-css-text-0.1.1-1.fc18.src/css-text-0.1.1.tar.gz 
1ed480f350d0107e3ba95c33ab94ea4efd1956443cc7cc0f3f28616733026b83  css-text-0.1.1.tar.gz
1ed480f350d0107e3ba95c33ab94ea4efd1956443cc7cc0f3f28616733026b83  ghc-css-text-0.1.1-1.fc18.src/css-text-0.1.1.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Loaded Text.CSS.Parse into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Jens Petersen 2012-10-29 00:18:58 EDT
Ping
Comment 3 Jens Petersen 2012-11-06 02:29:49 EST
I am going to go ahead and make the SCM request on behalf of Ben
since I don't want to lose the work in this review.
I know he has had limited net connectivity lately but
that should be improving soon I believe.


New Package SCM Request
=======================
Package Name: ghc-css-text
Short Description: CSS parser and renderer
Owners: mathstuf
Branches: f18 f17 f16 el6
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2012-11-06 07:33:46 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-11-07 23:59:17 EST
ghc-css-text-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-css-text-0.1.1-1.fc17
Comment 6 Fedora Update System 2012-11-07 23:59:30 EST
ghc-css-text-0.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-css-text-0.1.1-1.fc18
Comment 7 Fedora Update System 2012-11-08 22:28:04 EST
ghc-css-text-0.1.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2012-11-17 18:48:45 EST
ghc-css-text-0.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-11-23 03:02:47 EST
ghc-css-text-0.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2012-11-26 21:19:10 EST
ghc-css-text-0.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-css-text-0.1.1-1.el6
Comment 11 Fedora Update System 2012-12-13 15:04:26 EST
ghc-css-text-0.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.